Loading...
Searching...
No Matches
JacobianFactor.cpp File Reference

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

using | gtsam::Pairs = std::vector<std::pair<Key, Matrix>>

## Functions

FastVector< VariableSlots::const_iterator > | gtsam::orderedSlotsHelper (const Ordering &ordering, const VariableSlots &variableSlots)
std::pair< GaussianConditional::shared_ptr, JacobianFactor::shared_ptr > | gtsam::EliminateQR (const GaussianFactorGraph &factors, const Ordering &keys)
| Multiply all factors and eliminate the given keys from the resulting factor using a QR variant that handles constraints (zero sigmas).

## Detailed Description

Author
  Richard Roberts
  Christian Potthast
  Frank Dellaert

Date
  Dec 8, 2010